<?php
/*
Plugin Name: IMDB Information Plugin
Plugin URI: http://20script.ir
Description: نمایش اطلاعات فیلم و سریال به صورت خودکار.
Version: 1.0
Author: تیم اپتیک
Author URI: http://www.20script.ir
License:GPLv2 or later
*/
/* Copyright 2014 OpticTeam (email : mohammad.azami76@gmail.com And uid.mgh@gmail.com)
This program is free software; you can redistribute it and/or
modify
it under the terms of the GNU General Public License, version 2,
as
published by the Free Software Foundation.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-
1301 USA
*/

/// Starting Plugin

defined('ABSPATH') or die('&lt;h3&gt;Access denied!');

define ('IMDBI_Ver','0.0.1');

define ('IMDBI_Dir', untrailingslashit( dirname( __FILE__ ) ));

define ('IMDBI_Uri', get_option('siteurl').'/wp-content/plugins/imdb-info');

#@ Start include Scripts and Styles
add_action( 'admin_head', 'IMDBI_Scripts' );

function IMDBI_Scripts(){

     echo "<link rel='stylesheet' type='text/css' href='".IMDBI_Uri."/css/imdbi-style.css'/>";
	 
	 echo "<link rel='stylesheet' type='text/css' href='".IMDBI_Uri."/css/imdbi-admin.css'/>";
	 
	 echo "<script type='text/javascript' src='".IMDBI_Uri."/js/imdbi-jquery-1.7.1.min.js'></script>";
	 
	 echo "<script type='text/javascript' src='".IMDBI_Uri."/js/imdbi-ajax.js'></script>";
	 
	  echo "<script type='text/javascript' src='".IMDBI_Uri."/js/imdbi-feedback-ajax.js'></script>";
	 

	}
	
#@ End Enqueue Scripts and Styles	

if( is_admin() ){
    
	add_action( 'media_buttons','IMDB_Btton',100);
	
	add_filter('admin_footer','IMDBI_Search');
	
	add_action( 'add_meta_boxes', 'IMDBI_Add_MetaBox' );
	
	require_once ABSPATH . 'wp-content/plugins/imdb-info/admin/feedback.php';

}//End if(is_admin())

if(!function_exists("IMDB_Btton")){

   function IMDB_Btton(){
     
	 global $pagenow,$typenow;
	 
	 if (!in_array( $pagenow, array( 'post.php', 'post-new.php' ) ))
	 
	   return;
	   
	 echo "<a href='#TB_inline?&width=640&height=760&inlineId=IMDBI_SearchForm' id='sicn' class='thickbox' title='IMDB Information Plugin' style='text-align:center;'><img src='".IMDBI_Uri."/img/imdb.png'> افزودن اطلاعات IMDB</a>";
   
   } //End function IMDB_Btton

}// End if(!function_exists(IMDB_Btton))

if(!function_exists("IMDBI_Search")){

   function IMDBI_Search(){
   
     global $pagenow,$typenow; 
	 
	 if (!in_array( $pagenow, array( 'post.php', 'post-new.php' )))
	 
	 return;
   
?>

<section ID="IMDBI_SearchForm" style="display:none;">
<div style='display:none;'> <img src="img/ajax-loader.gif" style="margin:0px 270px 0px 270px;" /> </div>
  <form class="imdbi-search" name="form" method="post">
	<center>
	    <span class="titmovie">عنوان فیلم یا سریال را وارد کنید:</span>
	    <input type="text" name="title" autocomplete="off" id="imdbi-search_input">
    </center>
    <ul class="imdbi-search-ac">
    </ul>
  </form>
  <hr/>
  <div class="imdbi-imdb-info" style="direction:rtl;"> 
  <center>
  <span class="titmovie2">پس از وارد کردن عنوان روی این ناحیه کلیک کنید!</span>
  </center>
  </div>
  </section>
  
  <?php
  
}// End IMDBI_Search

}// End if(!function_exists("IMDBI_Search"))

if( is_admin() ){

	add_action( 'add_meta_boxes', 'IMDBI_Add_MetaBox' );

}//End if(is_admin())

if(!function_exists("IMDBI_Add_MetaBox")){
     function IMDBI_Add_MetaBox(){
	 
     add_meta_box( 'IMDBI-MetaBox-Id', 'ذخیره شناسه IMDB', 'IMDBI_MetaBox_Callback', 'post', 'normal', 'high', 'IMDBI_MetaBox_Args' ); 
	 
    }// End Function IMDBI_Add_MetaBox
	
} // End if(!function_exists("IMDBI_Add_MetaBox"))

function IMDBI_MetaBox_Callback($post){

     global $post;
	 
	 $values = get_post_custom( $post->ID );
	 
	 $_imdbID = get_post_meta( $post->ID, 'IMDBI_Id_Text', true );
	 
	 // We'll use this nonce field later on when saving.
	 
	 wp_nonce_field( 'IMDBI_MetaBox_nonce', 'meta_box_nonce' );
	 
  
  ?>
  
  <!-- IMDBI Meta Box HTML -->
    <b><label for="IMDBI_Id_Text">شناسه IMDB را وارد کنید
	<i style="color:#999999;font:normal normal 0.95em tahoma;direction:ltr;">(به کمک موتور جستجوی IMDB)</i></label></b>
	<br/><br/>
    <input type="text" name="IMDBI_Id_Text" id="IMDBI_Id_Text" style="width:35% !important;" value="<?php echo $_imdbID;?>"/>  
	
	
<?php
  
}// End Function IMDBI_MetaBox_Callback  

     add_action( 'save_post', 'IMDBI_MetaBox_Save' );
	 
	 function IMDBI_MetaBox_Save( $post_id )
{
    // Bail if we're doing an auto save
    if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;
     
    // if our nonce isn't there, or we can't verify it, bail
    if( !isset( $_POST['meta_box_nonce'] ) || !wp_verify_nonce( $_POST['meta_box_nonce'], 'IMDBI_MetaBox_nonce' ) ) return;
     
    // if our current user can't edit this post, bail
    if( !current_user_can( 'edit_post' ) ) return;
	
	    // Make sure your data is set before trying to save it
    if( isset( $_POST['IMDBI_Id_Text'] ) )
        update_post_meta( $post_id, 'IMDBI_Id_Text', esc_attr( $_POST['IMDBI_Id_Text']) );	
		
}// End IMDBI_MetaBox_Save

#@ Cheek Poster Url

function is_denied($Url){

$ch = curl_init();

$ch = curl_init();

curl_setopt($ch, CURLOPT_URL, $Url);

curl_setopt($ch, CURLOPT_HEADER, TRUE);

curl_setopt($ch, CURLOPT_FOLLOWLOCATION, FALSE);

curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);

$a = curl_exec($ch);

return strpos($a , 'http://10.10.34.34')  ? true : false;

}

#@ IMDBI Function (this function fetch parameters from OMDB API)

add_action( 'plugins_loaded', 'Get_IMDBI' ); 

     if(!function_exists('Get_IMDBI')){
	  
	 
	     function Get_IMDBI($action,$poster_callback=true,$callback=true){
		 
		    global $post;
			
			$poster;
			
			$Add_Poster;
			
			$poster_url;
			
			$url_status=is_denied('http://nfqq.nvswi2lbfvuw2zdcfzrw63i.nblk.ru');
			
			$_imdbID = get_post_meta( $post->ID, 'IMDBI_Id_Text', true );
			
			if(!empty($_imdbID)){
			
			$_imdbID=trim(urlencode($_imdbID)); // To Make Sore A Valid Encode.
			
			$json_url=file_get_contents("http://www.omdbapi.com/?i=".$_imdbID.""); //OMDB API Details Url
			
			$details=json_decode($json_url);// Decoding Url
			
			if($details->Response=='True'){
			
			$poster_url=preg_replace('/N\/A/', 'NO-POSTER', $details->Poster);
			
			if($poster_url!="NO-POSTER"){
			
			$poster=preg_replace('/http:\/\/(ia.media-imdb.com)/', 'http://nfqq.nvswi2lbfvuw2zdcfzrw63i.nblk.ru', $poster_url);
			
			$Add_Poster='<img src="'.$poster.'" alt="'.$details->Title.'-poster">';
			
			}// End if($poster_url!="NO-POSTER")
			
			else{
			
			$Add_Poster=get_the_post_thumbnail();
			
			}
			
			if($poster_callback==false or $url_status==true){
			
			$Add_Poster=get_the_post_thumbnail();
			
			}// If there was a poster and you don't need that 
			
			    switch($action){
			    
				case 'Title':
				
				return $details->Title;
				
			    Break;
				
				case 'Year':
				
				return $details->Year;
				
				break;
				
				case 'Rated':
				
				return $details->Rated;
				
				break;
				
				case 'Released':
				
				return $details->Released;
				
				break;
				
				case 'Runtime':
				
				return $details->Runtime;
				
				break;
				
				case 'Genre':
				
				return $details->Genre;
				
				break;
				
				case 'Director':
				
				return $details->Director;
				
				break;
				
				case 'Writer':
				
				return $details->Writer;
				
				break;
				
				case 'Actors':
				
				return $details->Actors;
				
				break;
				
				case 'Plot':
				
				return $details->Plot;
				
				break;
				
				case 'Language':
				
				return $details->Language;
				
				break;
				
				case 'Country':
				
				return $details->Country;
				
				break;
				
				case 'Awards':
				
				return $details->Awards;
				
				break;
				
				case 'Metascore':
				
				return $details->Metascore;
				
				break;
				
				case 'imdbRating':
				
				return $details->imdbRating;
				
				break;
				
				case 'imdbVotes':
				
				return $details->imdbVotes;
				
				break;
				
				case 'imdbID':
				
				return $details->imdbID;
				
				break;
				
				case 'Type':
				
				return $details->Type;
				
				break;
				
				case 'Poster':
				
				return $Add_Poster;
				
				break;
				 
			
			    }// End Switch($action)
			
			
			}// End if($details->Response=='True') To Make Sure 
			
			if($details->Response=='false' and $callback==true){
			
			 return 'خطا در برقراری ارتباط با پایگاه داده.';
			  
			}// if($details->Response=='True' and $callback=true) witch Means If Response Was False and You want to know it.
			
			elseif($details->Response=='false' and $callback==false){
			
			 return ''; //Return Not Thing (You Don't Know It)
			
			} // End elseif($details->Response=='false' and $callback=false)
			
			
			}// End if(!empty($_imdbID))
			
			else{
			return '';
			}
			
			
		 } //End Function Get_IMDBI
	    
	 }// End if(!function_exists('Get_IMDBI'))
?>